GearmanJob::returnCode
GearmanJob::sendData
GearmanJob
PHP Manual

# GearmanJob::sendComplete

(PECL gearman >= 0.6.0)

GearmanJob::sendComplete — Send the result and complete status

### Description

public bool GearmanJob::sendComplete ( string `$result` )

Sends result data and the complete status update for this job.

### Parameters

`result`

  Serialized result data.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- GearmanJob::sendFail() - Send fail status
- GearmanJob::setReturn() - Set a return value

GearmanJob::returnCode
GearmanJob::sendData
GearmanJob
PHP Manual